<div>

    <div class="d-flex justify-content-between">
        <h4>Formulario basico :D</h4>
        <a href="#" routerLink="/person/index" class="btn btn-primaryt">Atras</a>
    </div>

    <hr/>

    <form [formGroup]="form" (ngSubmit)="submit()">

        <div class="form-group row">
            <div class="col-md-6 ">
                <label for="title">Nombre:</label>
                <input formControlName="name" id="name" type="text" class="form-control">
                <div *ngIf="f.name.touched && f.name.invalid" class="alert alert-danger">
                    <div *ngIf="f.name.errors.required">*Se requiere el nombre.</div>
                    <div *ngIf="f.name.errors.pattern">*El nombre solo debe contener letras.</div>
                </div>
            </div>
        </div>

        <div class="form-group row">
            <div class="col-md-6 ">
                <label for="email">Correo:</label>
                <input formControlName="email" id="email" type="text" class="form-control">
                <div *ngIf="f.email.touched && f.email.invalid" class="alert alert-danger">
                    <div *ngIf="f.email.errors.required">*correo electronico es requerido.</div>
                    <div *ngIf="f.email.errors.email">*El correo debe ser una dirección de correo valida.</div>
                </div>
            </div>
        </div>

        <div class="form-group row">
            <div class="col-md-6 ">
                <label for="phone">Celular:</label>
                <input formControlName="phone" id="phone" type="text" class="form-control">
                <div *ngIf="f.phone.touched && f.phone.invalid" class="alert alert-danger">
                    <div *ngIf="f.phone.errors.required">*Se requiere teléfono.</div>
                    <div *ngIf="f.phone.errors.pattern">*El teléfono solo debe contener números.</div>
                </div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-md-6 ">
                <label for="title"></label>
                <input id="image" type="file" class="form-file" (change)="onFileChange($event,'image')">

            </div>
        </div>
        <div class="form-group row">
            <div *ngIf="previsualizacion" class="col-md-6 ">
                <img width="350px" [src]="previsualizacion" alt="">
            </div>
        </div>

        <button class="btn btn-primary" type="submit" [disabled]="!form.valid">Actualizar</button>
    </form>
</div>

<div class="output">
    <p>Form Data: {{form.value | json}}</p>
    <p>Is Valid: {{form.valid}}</p>
</div>